Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.pluginxml
Class EmbedTag

    java.lang.Object
      org.hyperic.hq.product.pluginxml.BaseTag
          org.hyperic.hq.product.pluginxml.EmbedTag

All Implemented Interfaces:
  org.hyperic.util.xmlparser.XmlAttrHandler, org.hyperic.util.xmlparser.XmlFilterHandler, org.hyperic.util.xmlparser.XmlTagEntryHandler, org.hyperic.util.xmlparser.XmlTagExitHandler, org.hyperic.util.xmlparser.XmlTagHandler, org.hyperic.util.xmlparser.XmlTextHandler

Direct Known Subclasses:
  ScriptTag

    public class EmbedTag

extends BaseTag
implements org.hyperic.util.xmlparser.XmlTextHandler

Extract text embedded in plugin descriptor to a file. Used for embedded scripts, mibs, etc.

Method Summary
`String` | `getName()`
`String[]` | `getOptionalAttributes()`
`String[]` | `getRequiredAttributes()`
`protected String` | `getType()`
`void` | `handleText(String text)`

Methods inherited from class org.hyperic.hq.product.pluginxml.BaseTag
`enter, exit, filterAttrValue, getAttributes, getLog, getMergedSubTags, getMergedSubTags, getSubTags, handleAttribute, handleAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.hyperic.util.xmlparser.XmlTagHandler`
  Specified by:
    `getName` in class `BaseTag`

### getOptionalAttributes

    public String[] getOptionalAttributes()

  Overrides:
    `getOptionalAttributes` in class `BaseTag`

### getRequiredAttributes

    public String[] getRequiredAttributes()

  Overrides:
    `getRequiredAttributes` in class `BaseTag`

### handleText

    public void handleText(String text)

  Specified by:
    `handleText` in interface `org.hyperic.util.xmlparser.XmlTextHandler`

### getType

    protected String getType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.